@ECHO OFF

REM Don't change any of the following variables
REM ///////////////////////////////////////////////////
REM
	REM VOLUME TYPE
	SET /a STANDARD					=0
	SET /a HIDDEN					=1
		REM TrueCrypt v7.0a, v7.0, v6.3a, v6.3, v6.2a, v6.2, v6.1a, v6.1, v6.0a, v6.0
	SET /a SYSTEM					=2
		REM TrueCrypt v7.0a, v7.0, v6.3a, v6.3, v6.2a, v6.2, v6.1a, v6.1, v6.0a, v6.0
	SET /a HIDDEN_LEGACY			=3
		REM TrueCrypt v5.1a, v5.1, v5.0a, v5.0, v4.3a, v4.3, v4.2a, v4.2, v4.1, v4.0, v3.1a, v3.1, v3.0a, v3.0


	REM Hash Algorithm
	SET /a RIPEMD160				=0
	SET /a SHA512					=1
	SET /a WHIRLPOOL				=2
	SET /a SHA1						=3
	SET /a ALL_HASHES				=-1
	SET /a CUR_HASHES				=-2
	SET /a OLD_HASHES				=-3
	SET /a HASHES_V50				=-4
		REM TrueCrypt v7.0a, v7.0, v6.3a, v6.3, v6.2a, v6.2, v6.1a, v6.1, v6.0a, v6.0, v5.1a, v5.1, v5.0a, v5.0
	SET /a HASHES_V40				=-6
		REM TrueCrypt v4.3a, v4.3, v4.2a, v4.2, v4.1, v4.0
	SET /a HASHES_V21				=-6
		REM TrueCrypt v3.1a, v3.1, v3.0a, v3.0, v2.1a, v2.1
	SET /a HASHES_V10				=-7
		REM TrueCrypt v2.0, v1.0


	REM Encryption Mode
	SET /a XTS						=0
	SET /a LRW						=1
	SET /a CBC						=2
	SET /a ALL_MODES				=-1
	SET /a CUR_MODES				=-2
	SET /a OLD_MODES				=-3
	SET /a MODES_V50				=-4
		REM TrueCrypt v7.0a, v7.0, v6.3a, v6.3, v6.2a, v6.2, v6.1a, v6.1, v6.0a, v6.0, v5.1a, v5.1, v5.0a, v5.0
	SET /a MODES_V41				=-5
		REM TrueCrypt v4.3a, v4.3, v4.2a, v4.2, v4.1
	SET /a MODES_V10				=-6
		REM TrueCrypt v4.0, v3.1a, v3.1, v3.0a, v3.0, v2.1a, v2.1, v2.0, v1.0


	REM Encryption Algorithm
	SET /a AES						=0
	SET /a SERPENT					=1
	SET /a TWOFISH					=2
	SET /a AES_TWOFISH				=3
	SET /a AES_TWOFISH_SERPENT		=4
	SET /a SERPENT_AES				=5
	SET /a SERPENT_TWOFISH_AES		=6
	SET /a TWOFISH_SERPENT			=7
	SET /a BLOWFISH					=8
	SET /a CAST5					=9
	SET /a DES3						=10
	SET /a AES_BLOWFISH				=11
	SET /a AES_BLOWFISH_SERPENT		=12
	SET /a IDEA						=13
	SET /a ALL_CIPHERS				=-1
	SET /a CUR_CIPHERS				=-2
	SET /a OLD_CIPHERS				=-3
	SET /a CIPHERS_V43				=-4
		REM TrueCrypt v7.0a, v7.0, v6.3a, v6.3, v6.2a, v6.2, v6.1a, v6.1, v6.0a, v6.0, v5.1a, v5.1, v5.0a, v5.0, v4.3a, v4.3
	SET /a CIPHERS_V30				=-5
		REM TrueCrypt v4.2a, v4.2, v4.1, v4.0, v3.1a, v3.1, v3.0a, v3.0
	SET /a CIPHERS_V21				=-6
		REM v2.1a
	SET /a CIPHERS_V20				=-7
		REM TrueCrypt v2.1, v2.0
	SET /a CIPHERS_V10				=-8
		REM TrueCrypt v1.0
REM
REM ///////////////////////////////////////////////////
REM ///////////////////////////////////////////////////












REM Change these to match your TrueCrypt settings
REM ///////////////////////////////////////////////////
REM

REM Your file
	REM it can be:
		REM "C:\TrueCrypt_File.tc" -- A TrueCrypt file hosted volume
		REM "\\?\GLOBALROOT\Device\Harddisk0\Partition1" -- A TrueCrypt partition hosted volume
		REM "C:\RescueDisc.iso" -- A TrueCrypt system resuce disc
		REM "C:\Backupheader.h" -- A TrueCrypt backup header
	SET FILE="C:\TrueCrypt_File.tc"

REM You can use a predefined word list or a password pattern
	SET WORDLIST="C:\word_list.txt"
	SET PATTERN="[!@#$%^&*\(\)_+]{1}remembered[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]{4}"

SET /a THREADS=4
SET VOLTYPE=%STANDARD%
SET HASH=%HASHES_V50%
SET MODE=%MODES_V50%
SET CIPHER=%CIPHERS_V43%

REM Where to start and end in the Word List or password pattern
REM ENDIDX = 0, means to go to the end of the list or pattern
	SET /a STARTIDX=0
	SET /a ENDIDX=0
REM
REM ///////////////////////////////////////////////////
REM ///////////////////////////////////////////////////


OTFBrutus.exe -i %FILE% -d %WORDLIST% -h %HASH% -m %MODE% -c %CIPHER% -v %VOLTYPE% -t %THREADS% -s %STARTIDX% -e %ENDIDX%
REM -k "C:\Keyfile_1" -k "C:\Keyfile_2"

REM For a password pattern
REM .\Release\OTFBrutus.exe -i %FILE% -p %PATTERN% -h %HASH% -m %MODE% -c %CIPHER% -v %VOLTYPE% -t %THREADS% -s %STARTIDX% -e %ENDIDX%

pause

